Bug 29456 - Updated Czech and Dutch translations fix MageiaWelcome issues for those languages
Summary: Updated Czech and Dutch translations fix MageiaWelcome issues for those langu...
Status: ASSIGNED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA8-64-OK
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-12 08:59 CEST by Marja Van Waes
Modified: 2021-09-20 17:06 CEST (History)
3 users (show)

See Also:
Source RPM: mageiawelcome-2.15-1.mga9
CVE:
Status comment:


Attachments

Description Marja Van Waes 2021-09-12 08:59:28 CEST
Czech MageiaWelcome has the words correctly from left to right, but the layout is right to left.

For Dutch MageiaWelcome, some lines on the Media sources tab are partially invisible, because the welcome screen isn't wide enough. This is caused by the coloured rectangles on the left being too wide, which is caused by the translation.

You can test both issues by running "LANGUAGE=CS mageiawelcome" and "LANGUAGE=NL mageiawelcome" respectively.

The translations were fixed in Tx and Yuri already pushed them to git.

After doing "make dist" and building a package with the resulting tar ball, both issues are fixed.
Marja Van Waes 2021-09-12 08:59:40 CEST

Whiteboard: (none) => MGA8TOO

Comment 1 Marja Van Waes 2021-09-12 09:26:05 CEST
Sorry, I've messed something up.

I had copied my mageiarepo from git to a different directory, and everything went fine there, including building a tarball with a different version

But now it went wront in the original directory, because (at least) version.py keeps going back to 2.15 I hadn't noticed that when checking with gitk, sorry
Comment 2 Marja Van Waes 2021-09-12 09:26:37 CEST
s/mageiarepo/mageiawelcome/
Comment 3 Marja Van Waes 2021-09-12 10:48:03 CEST
The git mess is cleaned up, thanks to Wally.

2.16 is committed to cauldron, I'll reboot into Mageia 8 later to test the mga8 package before committing
Comment 4 Marja Van Waes 2021-09-12 12:27:25 CEST
and 2.16 is committed to Mga8 too, now.

@ Florian

Now that I took up learning to become a packager again, and since my other mentor is gone, do you mind checking my commits and pushing them if you think they're fine?

I'll write a suggested advisory when they're pushed.

CC: (none) => doktor5000

Comment 5 Florian Hubold 2021-09-14 22:42:07 CEST
(In reply to Marja Van Waes from comment #4)
 
> I'll write a suggested advisory when they're pushed.

Looks good to me including the advisory, pushed mageiawelcome-2.16-1.mga8 to core/updates_testing, feel free to assign this to QA. FWIW this is also described in https://wiki.mageia.org/en/Updates_policy#Maintainer_.28or_any_interested_packager.29 but I think you know how this works :)

Status: NEW => ASSIGNED
Assignee: mageiatools => marja11

Comment 6 Marja Van Waes 2021-09-14 23:29:00 CEST
Thanks, Florian

Reassigning to QA team.


Suggested Advisory:
========================

Mageiawelcome-2.15 has a Right to Left layout for Czech.
For Dutch, some text in its "Media sources" tab is invisible.
Mageiawelcome-2.16 fixes both issues.

========================

Packages in 8/core/updates_testing:
========================
mageiawelcome-2.16-1.mga8.noarch.rpm

Source RPM:
========================
mageiawelcome-2.16-1.mga8.src.rpm

Assignee: marja11 => qa-bugs

Comment 7 Marja Van Waes 2021-09-14 23:32:10 CEST
And, for the record, the issues can be tested by running:

 LANGUAGE=CS mageiawelcome

and 

 LANGUAGE=NL mageiawelcome
Comment 8 Marja Van Waes 2021-09-14 23:54:56 CEST
(sorry, taking back until it is pushed to cauldron, too)

Assignee: qa-bugs => marja11

Comment 9 Marja Van Waes 2021-09-15 23:02:04 CEST
mageiawelcome-2.16-1.mga9 landed in cauldron, so QA can start testing mageiawelcome-2.16-1.mga8 now

Whiteboard: MGA8TOO => (none)
Version: Cauldron => 8
CC: (none) => marja11
Assignee: marja11 => qa-bugs

Comment 10 Len Lawrence 2021-09-20 17:06:37 CEST
mga8, x64

Confirmed the two issues before updating.  Czech menu starts on the right-hand side.  Dutch media sources tab does not wrap text but it can be seen by resizing the window.

After updating:

$ LANGUAGE=NL mageiawelcome
file:///usr/share/mageiawelcome/Install.qml:25:9: QML Image: Cannot open: file:///usr/share/icons/draklive-install.png
Qt Quick Layouts: Polish loop detected. Aborting after two iterations.

The Media sources tab now behaves.  Resizing to wider causes some text to move to previous line, as it should.  So this is good.

$ LANGUAGE=CS mageiawelcome
file:///usr/share/mageiawelcome/Install.qml:25:9: QML Image: Cannot open: file:///usr/share/icons/draklive-install.png
Qt Quick Layouts: Polish loop detected. Aborting after two iterations.

'Vitejte' is displayed on the leftmost menu tab and the rest are in their correct places.  The different tabs behave properly.  MCC asks for the root password in English) and Czech is used everywhere.  The terminal reported 'cannot run isodumper because it is not installed'.  Popup messages in the application appear in Czech.  So this is good also.

Whiteboard: (none) => MGA8-64-OK
CC: (none) => tarazed25


Note You need to log in before you can comment on or make changes to this bug.